/*
  Scroll text from serial I/F ( Type in Serial Monitor 57600 baud )
  for ikkeiplexing shield
  and 8x16duino Tichaino
  Copyright ikkei 2012.2.28
  
*/

#include <MsTimer2.h>
#include <Charlieplexing.h>
#include "iFont.h"

void setup()
{
  iLedSign::Init();
  Serial.begin(57600);
}


void loop()
{
  unsigned char text[128];

  int16_t x=0;
  uint8_t d;
  int a;
  int textsize = sizeof(text)/sizeof(text[0]);
  a = Serial.read();
  a = max(a,' ');
  d = iFont::Width(a);
  for(int i=0;i<=d;i++) {
    uint8_t data = iFont::Data(a,i);
    iLedSign::Vwrite(15, data);
    delay(80);
    iLedSign::ShiftLeft();
  }
}


